<?php
use ExcitedFree\App\Model\Testimonial;
use ExcitedFree\App\Model\Group;
?>
<li group-id="<?php echo $group->ID; ?>">
    <div class="panel panel-group">
        <div class="panel-heading">
            <h5>
                <span class="name"><?php echo htmlspecialchars($group->post_title); ?></span>
                <span class="employee-count">
                    <?php echo count($group->testimonials); ?>
                    people
                </span>
            </h5>
            <ul class="group-actions panel-actions">
                <li>
                    <button data-action="delete-group" class="delete-group" title="<?php echo Group::getLabel('delete_item'); ?>">
                        <div id="a-slide-panel-spinner" class="a-spinner" data-wr_replaced="true" style="display: none;">
                            <div class="bounce1"></div>
                            <div class="bounce2"></div>
                        </div>
                        <svg class="icon" viewBox="0 0 28 28">
                            <use xlink:href="#icon-trash"></use>
                        </svg>
                    </button>
                </li>
                <li>
                    <button data-action="edit-group" class="" title="<?php echo Group::getLabel('edit_item'); ?>">
                        <svg class="icon" viewBox="0 0 28 28">
                            <use xlink:href="#icon-pen"></use>
                        </svg>
                    </button>
                </li>
                <li>
                    |
                </li>
                <li class="shortcode-wrapper" data-action="shortcode-group">
                    <?php
                        $plugin_name = LA_Testimonials_Free::$plugin['name'];
                        $id = $group->ID;
                        $shortcode = LA_Testimonials_Free::$plugin['shortcode'];;
                        $shortcode = esc_html('[' . $shortcode . ' id="' . $id . '"]');
                    ?>
                    <button data-copytarget="#shortcode_<?php echo $id; ?>" data-action="copy-to-clipboard">
                        <span>Shortcode</span>
                    </button>
                    <div class="a-tooltip-wrapper tooltip-top at-transition at-transition-fast">
                        <div class="a-tooltip a-tooltip-arrow">
                            <div class="a-tooltip-content">
                                <input type="text" readonly id="shortcode_<?php echo $id; ?>" value="<?php echo esc_html($shortcode); ?>" />
                            </div>
                        </div>
                    </div>
                </li>
                <!--<li>
                    <span class="legend">Shortcodes:</span>
                </li>-->
            </ul>
        </div>
        <div class="panel-body">
            <ul class="group-members">
                <li data-action="edit-group" class="empty">
                    <div class="foto">
                        <svg viewBox="0 0 36 36">
                            <use xlink:href="#icon-plus" transform="translate(-4, -5)"></use>
                        </svg>
                    </div>
                </li>
                <?php
                $testimonials = $group->testimonials;
                foreach($testimonials as $testimonial){
                    $name = htmlspecialchars($testimonial->post_title);
                    $foto = get_the_post_thumbnail($testimonial->ID, 'a-thumbnail');
                    ?>
                    <li title="<?php echo $name; ?>">
                        <div class="foto">
                            <?php
                            if(has_post_thumbnail($testimonial->ID)){
                                echo $foto;
                            }else{
                                echo '<img src="' . $default_avatar . '" alt="" ?>';
                            }
                            ?>
                        </div>
                    </li>

                <?php
                }
                ?>
            </ul>
            <div class="group-styles"></div>
        </div>
    </div>
</li>