<?php
use ExcitedFree\App\Model\Testimonial;
use ExcitedFree\App\Model\Group;

$testimonial = new Testimonial(array('post' => $testimonial));
$id = $testimonial->ID;
$status = $testimonial->post_status;
$name = htmlspecialchars($testimonial->post_title);
$position = htmlspecialchars($testimonial->position);
$short_text = htmlspecialchars($testimonial->post_excerpt);
$photo = get_the_post_thumbnail($testimonial->ID, 'a-small');
$rating = $testimonial->rating;

$rating_html = $testimonial->getRatingHTML(array(
    'scale' => '5s',
    'icon' => 'star-full',
    'source' => '',
    'bar_color' => '#ffc700',
    'size' => '16',
    'count' => 5
));


array_push($backbone_testimonials, array(
    'id' => $id,
    'name' => $name,
    'position' => $position,
    'short_text' => $short_text,
    'photo' => $photo,
    'rating' => $rating
));
?>

<li data-action="edit-testimonial"
    class="clearfix"
    post-status="<?php echo $status; ?>"
    testimonial-id="<?php echo $id; ?>"
    title="<?php echo $name; echo "\n"; echo $short_text; ?>">
    <div class="wrapper">
        <div class="foto">
            <?php
            if (has_post_thumbnail($id)) {
                echo $photo;
            } else {
                echo '<img src="' . $default_avatar . '" alt="" ?>';
            }
            ?>
        </div>
        <div class="name_position">
            <span class="name"><?php echo $name; ?></span>
            <span class="short_text"><?php echo $short_text; ?></span>
            <span class="rating"><?php echo $rating_html; ?></span>
        </div>
        <?php if($status == 'pending'): ?>
            <button class="btn-action publish-testimonial"
                    title="<?php echo Testimonial::getLabel('approve_item'); ?>"
                    data-action="publish-testimonial">
                <span><?php echo Testimonial::getLabel('approve_item'); ?></span>
                <svg viewBox="0 0 20 20">
                    <use xlink:href="#icon-check"></use>
                </svg>
            </button>
        <?php endif; ?>
        <button class="btn-action delete-testimonial" title="<?php echo Testimonial::getLabel('delete_item'); ?>" data-action="delete-testimonial">
            <span><?php echo Testimonial::getLabel('delete_item'); ?></span>
            <svg viewBox="0 0 20 20">
                <use xlink:href="#icon-delete"></use>
            </svg>
        </button>
        <button class="btn-action remove-testimonial at-transition at-transition-fast" title="Remove" data-action="remove-testimonial">
            <svg viewBox="0 0 20 20">
                <use xlink:href="#icon-delete"></use>
            </svg>
        </button>
        <?php
        $testimonial_groups = $testimonial->groups;
        $max = 20;
        if ($status == 'pending' && sizeof($testimonial->groups) > 0) {
            $group = Group::find($testimonial_groups[0]);
            echo '<div class="attached-to">';
            echo strlen($group->post_title) > $max ? substr($group->post_title, 0, $max) . '...' : $group->post_title;
            echo '</div>';
        }
        ?>
    </div>
</li>