<?php
use LooksAwesome\Common\Post;
use ExcitedFree\App\Model\Testimonial;
use ExcitedFree\App\Model\Group;

$upgrade = 'http://bit.ly/excited_testimonials_pro';
$group_tooltip_fields = $this->data['group_tooltip_fields'];
$group_panel_fields = $this->data['group_panel_fields'];
$default_avatar = plugins_url('img/default-avatar.png', dirname(__FILE__));
$labels = array(
    'group' => Group::getLabels(),
    'testimonial' => Testimonial::getLabels()
)

?>
<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<div class='wrap admin-wrap' id="<?php echo LA_Testimonials_Free::$plugin['name']; ?>" xmlns="http://www.w3.org/1999/html">
    <?php include_once('svg.html'); ?>
    <div class="a-title">
        <h2>
            <svg viewBox="0 0 56 56">
                <use xlink:href="#face-dashboard"></use>
            </svg>
            <span>
                Manage Groups & Testimonials
            </span>
        </h2>
        <ul class="actions">
            <li>
                <a href="<?php echo $upgrade; ?>" class="btn btn-success btn-upgrade" title="Upgrade" target="_blank">Upgrade</a>
            </li>
            <li id="action-add-buttons">
                <button class="btn-add btn btn-default" title="Add">
                    <svg viewBox="0 0 36 36">
                        <use xlink:href="#icon-plus"></use>
                    </svg>
                </button>
            </li>
            <li id="action-help">
                <a class="icon action btn btn-default" title="Help" data-action="modal" href="#modal-help">
                    <svg viewBox="0 0 36 36">
                        <use xlink:href="#icon-help"></use>
                    </svg>
                </a>
            </li>
        </ul>
    </div>
    <div class="ui-row version">
        <div class="col-md-12">
            <span>
                <?php
                echo LA_Testimonials_Free::$plugin['label'] . ' Free';
                echo ' v. ';
                echo LA_Testimonials_Free::$plugin['version'];
                ?>
            </span>
            |
            <a target="_blank" href="<?php echo LA_Testimonials_Free::$plugin['demo_site']; ?>/docs/Getting_Started">
                Documentation
            </a>
            |
            <a target="_blank" href="http://codecanyon.net/user/looks_awesome/portfolio">Awesome plugins</a>
        </div>
    </div>
    <div class="clearfix ui-row">
        <div class="col-md-8 col-sm-8 ui-column">
            <div class="panel panel-main" id="panel-groups">
                <div class="panel-heading">
                    <h6>
                        <?php
                        echo Group::getLabel('all_items');
                        $groups_count = count($this->data['groups']);
                        if ($groups_count > 0) {
                            echo ' <span>(';
                            echo count($this->data['groups']);
                            echo ')</span>';
                        }
                        ?>
                    </h6>
                </div>
                <div class="panel-body a-scroll">
                    <div class="padding-wrapper">
                        <?php
                        Post::display_empty_model_message(
                            $groups_count,
                            'groups',
                            'Type name of your first group below and hit enter.'
                        );
                        ?>
                        <ul class="model-list groups-list" id="groups-list">
                            <?php
                            if ($groups_count > 0) {
                                foreach ($this->data['groups'] as $group):
                                    include('cards/group.php');
                                endforeach;
                            }
                            ?>
                        </ul>
                    </div>
                </div>
                <div class="panel-footer create-group-input">
                    <form action="" method="" class="form">
                        <div class="a-slide-panel-spinner a-spinner" data-wr_replaced="true" style="display: none;">
                            <div class="bounce1"></div>
                            <div class="bounce2"></div>
                            <div class="bounce3"></div>
                        </div>
                        <input data-action="add-model"
                               data-model="group"
                               name="group_name"
                               type="text"
                               class="form-control"
                               placeholder="<?php echo Group::getLabel('add_new_item'); ?>"/>
                    </form>
                </div>
            </div>
        </div>
        <div class="col-md-4 col-sm-4 ui-column">
            <div class="panel panel-main" id="panel-testimonials">
                <div class="panel-heading">
                    <h6>
                        <?php
                        echo Testimonial::getLabel('all_items');
                        $testimonials_count = count($this->data['testimonials']);//
                        if ($testimonials_count > 0) {
                            echo ' <span class="count">(';
                            echo count($this->data['testimonials']);
                            echo ')</span>';
                        }
                        ?>
                    </h6>
                    <ul class="panel-actions"></ul>
                </div>
                <div class="panel-body a-scroll">
                    <div class="padding-wrapper">
                        <?php
                        Post::display_empty_model_message(
                            $testimonials_count,
                            'testimonials',
                            'Type name of testimonial owner below and hit enter.'
                        );
                        ?>
                        <ul class="testimonials-list model-list awesome-list connected-sortable" id="testimonials-list">
                            <?php
                            if ($testimonials_count > 0) {
                                $backbone_testimonials = array();
                                foreach ($this->data['testimonials'] as $testimonial):
                                    include('cards/testimonial.php');
                                endforeach;
                                include('backbone/testimonials.php');
                            }
                            ?>
                        </ul>
                    </div>
                </div>
                <div class="panel-footer create-group-input">
                    <form action="" method="post" class="form">
                        <div class="a-slide-panel-spinner a-spinner" data-wr_replaced="true" style="display: none;">
                            <div class="bounce1"></div>
                            <div class="bounce2"></div>
                            <div class="bounce3"></div>
                        </div>
                        <input data-action="add-model"
                               data-model="testimonial"
                               name="testimonial_name"
                               type="text"
                               class="form-control"
                               placeholder="<?php echo Testimonial::getLabel('add_new_item'); ?>"/>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="ui-row la-footer">

    </div>
    <?php include 'parts/pro.php'; ?>
</div>
<div class="a-spinner at-transition" id="main-spinner"></div>
<div class="hide" id="panel-html-pool">


    <?php
    // Include panels forms and icons
    wp_editor('', 'fake_textarea');
    include_once('panels/testimonial-edit.php');
    include_once('panels/testimonial-add.php');
    include_once('panels/group-edit.php');
    include_once('panels/group-add.php');

    include_once('panels/help.php');
    include_once('parts/preview-help.php');

    include_once('tooltips/add-buttons.php');
    include_once('tooltips/font-settings.php');
    include_once('tooltips/shorttext-settings.php');
    include_once('tooltips/photo-settings.php');
    include_once('tooltips/divider-settings.php');
    include_once('tooltips/rating-settings.php');
    include_once('tooltips/social-settings.php');
    ?>
</div>