<?php
    /**
        Add or Edit Testimonial Form
    */
use ExcitedFree\App\Model\Testimonial;

?>
<div id="testimonial-form" data-model="testimonial" data-type="form">
    <input type="hidden" name="testimonial_id"/>
    <div class="form-hint" id="form-hint"></div>
    <div class="panel">
        <div class="panel-heading">
            <h6>General Information</h6>
        </div>
        <div class="panel-body">
            <div class="form-group foto-upload clearfix">
                <input type="hidden" name="testimonial_thumbnail_id"/>
                <div class="foto-wrapper" id="testimonial-form-foto"></div>
                <div>
                    <h5>Add Author Photo/Brand Logo</h5>
                    <p class="hint">We recommend to add at least 500x500 image. JPG and PNG are OK.</p>
                    <ul>
                        <li>
                            <button data-action="upload_photo" class="btn btn-default" title="Browse">
                                <span>Browse</span>
                            </button>
                        </li>
                        <li>
                            <button id="testimonial-form-foto-remove" data-action="remove_photo" class="btn btn-danger" title="Remove">
                                <span>Remove</span>
                            </button>
                        </li>
                    </ul>
                </div>
            </div>
            <h5>About Author/Brand and Testimonial</h5>
            <div class="input-group form-group">
                <span class="input-group-addon">Name:</span>
                <input type="text" class="form-control" name="testimonial_name" placeholder="e.g. John Doe"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Occupation:</span>
                <input type="text" class="form-control" name="testimonial_position" placeholder="e.g. Designer"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Source:</span>
                <input type="text" class="form-control" name="testimonial_source_name" placeholder="Company or website name"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Source URL:</span>
                <input type="text" class="form-control" name="testimonial_source_url" placeholder="Link to website, facebook page or twitter message"/>
            </div>
            <div class="input-group form-group aet-loading">
                <span class="input-group-addon">Category:</span>
                <input type="text" class="form-control" name="testimonial_category" placeholder="e.g. Coca-cola"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Rating:</span>
                <div class="display-table">
                    <div class="display-table-cell testimonial_rating"></div>
                    <div class="display-table-cell testimonial-rating-formats">
                        which equals
                        <span class="5s">
                            <?php echo Testimonial::getRatingHTMLStatic(array(
                                'scale' => '5s',
                                'icon' => 'star-full',
                                'source' => '',
                                'bar_color' => '#ffc700',
                                'size' => '16',
                                'count' => 5,
                                'rating' => 1
                            )); ?>
                        </span>
                        or
                        <span class="5d"></span>
                        or
                        <span class="10d"></span>
                    </div>
                </div>
            </div>
            <div class="input-group form-group">
                <div class="input-group form-group">
                    <span class="input-group-addon">Rating label:</span>
                    <input type="text" class="form-control" name="testimonial_rating_label" placeholder="e. g. I gave Microsoft:"/>
                </div>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Custom URL:</span>
                <input type="text" class="form-control" name="testimonial_custom_url" placeholder="Custom link that will be opened on testimonial click"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Short review:</span>
                <textarea name="testimonial_short_text" class="form-control" rows="3" placeholder="Tell awesome story" ></textarea>
            </div>
            <h5>Full Review:</h5>
            <div class="input-group form-group">
                <div class="testimonial_full_text"></div>
                <p class="hint">
                    For the "Full text" custom styling is allowed with rich editor. But it will be displayed in Panel view only. <br/>
                    If you don't use sliding panels for testimonial showcase put simple text below.
                </p>
            </div>
            <div data-type="testimonial-alert" class="skill-alert"></div>
        </div>
    </div>
    <div class="panel">
        <div class="panel-heading">
            <h6>Contacts & Social profiles</h6>
        </div>
        <div class="panel-body">
            <p class="hint">
                Social bar could be enabled/disalbed in both testimonial showcase and panel view. <br>
                But contacts are designed for sliding panel only.
            </p>
            <h5>Contacts</h5>
            <div class="input-group form-group">
                <span class="input-group-addon">Email:</span>
                <input type="text" class="form-control" name="testimonial_email" placeholder="e.g. john@example.com"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Phone:</span>
                <input type="text" class="form-control" name="testimonial_phone" placeholder="e.g. 555-555-5555"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Skype:</span>
                <input type="text" class="form-control" name="testimonial_skype" placeholder="e.g. john_doe"/>
            </div>
            <h5>Social Profiles</h5>
            <div class="input-group form-group">
                <span class="input-group-addon">Facebook:</span>
                <input type="text" class="form-control" name="testimonial_facebook" placeholder="https://www.facebook.com/username"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Twitter:</span>
                <input type="text" class="form-control" name="testimonial_twitter" placeholder="https://twitter.com/username"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Linkedin:</span>
                <input type="text" class="form-control" name="testimonial_linkedin" placeholder="https://www.linkedin.com/profile/view?id=0000000"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Google+:</span>
                <input type="text" class="form-control" name="testimonial_google" placeholder="https://plus.google.com/username/posts"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Instagram:</span>
                <input type="text" class="form-control" name="testimonial_instagram" placeholder="https://instagram.com/username/"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Pinterest:</span>
                <input type="text" class="form-control" name="testimonial_pinterest" placeholder="https://pinterest.com/username/"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Youtube:</span>
                <input type="text" class="form-control" name="testimonial_youtube" placeholder="https://www.youtube.com/user/username"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Vimeo:</span>
                <input type="text" class="form-control" name="testimonial_vimeo" placeholder="https://vimeo.com/username"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Dribbble:</span>
                <input type="text" class="form-control" name="testimonial_dribble" placeholder="https://dribbble.com/username"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Flickr:</span>
                <input type="text" class="form-control" name="testimonial_flickr" placeholder="https://www.flickr.com/photos/username/"/>
            </div>
            <div class="input-group form-group">
                <span class="input-group-addon">Github:</span>
                <input type="text" class="form-control" name="testimonial_github" placeholder="https://github.com/username"/>
            </div>
        </div>
    </div>
</div>
