<?php
use ExcitedFree\App\Shortcode;
use LooksAwesome\Common\ArrayUtil;

$font_size = 'font-size: ' . $styles['short_text_font_size'];
$color = 'color: ' . $styles['short_text_color'];

$bold = $styles['short_text_bold'] == '1' ? 'font-weight: ' . 'bold' : 'font-weight: ' . 'normal';
$italic = $styles['short_text_italic'] == '1' ? 'font-style: ' . 'italic' : 'font-style: ' . 'normal';
$text_transform = 'text-transform: ' . $styles['short_text_text_transform'];
$align = 'text-align: ' . $styles['short_text_align'];
$gaps = 'padding:' . Shortcode::get_size($styles['short_text_padding']);

$short_text_body_visible = (int) $styles['short_text_body_visible'] === 0 ? 'body_off' : '';

$border_width = 'border-width:' . Shortcode::get_size($styles['short_text_border_width']);
$border = $styles['short_text_border_color'];
$border_color = 'border-color:' . $border;
$border_radius = 'border-radius:' . Shortcode::get_size($styles['short_text_border_radius']);
$bg = $styles['short_text_background_color'];
$background_color = 'background-color:' . $bg;

$photo_position = ArrayUtil::find_index_by_value('photo', $styles['blocks_order']);
$short_text_position = ArrayUtil::find_index_by_value('short_text', $styles['blocks_order']);

$nubbin_visible = $styles['short_text_nubbin_visible'];
if($nubbin_visible == '1'){
    $nubbin_position = $short_text_position == 0 ? 'bottom' : 'top';
    $nubbin_offset = (int) preg_replace('/[^0-9]/', '', $styles['photo_width']) / 2;
    $nubbin_align = $photo_position == 1 ? 'right' : 'left';
    $nubbin_margin = 'margin-' . $nubbin_align . ':' . Shortcode::get_size($nubbin_offset) . ';';
    $nubbin_class = 'nubbin-' . $nubbin_position . '-' . $nubbin_align;
    $nubbin_width_offset = (int) preg_replace('/[^0-9]/', '', $styles['short_text_border_width']);
    if($nubbin_width_offset == 0){
        $border = $bg;
    }
    $nubbin_width_offset = $nubbin_width_offset > 1 ? $nubbin_width_offset + 2 : 1;
    $offset_key = $nubbin_position == 'bottom' ? 'top' : 'bottom';
    $offset_value = $nubbin_position == 'bottom' ? -13 - $nubbin_width_offset : -1 - $nubbin_width_offset;
    $border_offset = $offset_key . ':' . $offset_value . 'px;';
}else{
    $nubbin_class = 'nubbin-none';
    $nubbin_margin = '';
}



$margin = '';
if (isset($styles['short_text_margin'])) {
    $margin = 'margin-' . $nubbin_position . ':' . Shortcode::get_size($styles['short_text_margin']);
}

echo "<div class='testimonial_short_text $short_text_body_visible $nubbin_class $layout-container sortable'
                style='$margin;'
                data-block-name='short_text'
                data-tooltip-name='short_text'>";
echo '<span class="nubbin nubbin-top" style="border-bottom-color:' . $border . ';' . $nubbin_margin . '"><span style="border-bottom-color:' . $bg . ';' . $border_offset . '"></span></span>';
echo "<div class='group-field-content' style='
                $font_size;
                $color;
                $bold;
                $italic;
                $align;
                $text_transform;
                $gaps;
                $border_width;
                $border_color;
                $border_radius;
                $background_color
                '>";
echo '<blockquote class="overflow-hidden">';
echo htmlspecialchars($testimonial->post_excerpt);
echo '</blockquote>';
echo '</div>';
echo '<span class="nubbin nubbin-bottom" style="border-top-color:' . $border . ';' . $nubbin_margin . '"><span style="border-top-color:' . $bg . ';' . $border_offset . '"></span></span>';

if ($preview) {
    include($base . 'public/partials/parts/tooltip-button.php');
}
?>
</div>