<?php
use ExcitedFree\App\Shortcode;

$top_margin = '';
$font_size = 'font-size: ' . $styles['rating_font_size'];
$color = 'color: ' . $styles['rating_text_color'];
$bold = $styles['rating_bold'] == '1' ? 'font-weight: ' . 'bold' : 'font-weight: ' . 'normal';
$italic = $styles['rating_italic'] == '1' ? 'font-style: ' . 'italic' : 'font-style: ' . 'normal';
$text_transform = 'text-transform: ' . $styles['rating_text_transform'];

$text_color = 'color: ' . $styles['rating_text_color'];
$bar_color = $styles['rating_bar_color'];
$align = 'text-align:' . $styles['rating_align'];
if (isset($styles['rating_size'])) {
    $size = esc_html($styles['rating_size']);
}
if (isset($styles['rating_top_margin'])) {
    $top_margin = 'margin-top: ' . Shortcode::get_size($styles['rating_top_margin']);
}

if ($testimonial->rating):
    $scale = $styles['rating_scale'];
    $icon = $styles['rating_icon'];
    $source = $styles['rating_source'];
    $skill_value_width = 'width: 100%';
    $count = (int) $styles['rating_icon_count'];

    echo "<div class='testimonial_rating  $layout-container sortable'
                style='
                $align;
                $top_margin;
                $font_size;
                $color;
                $bold;
                $italic;
                $text_transform;
                $text_color;
                '
                data-block-name='rating'
                data-tooltip-name='rating'
                data-rating='$testimonial->rating'
                itemprop='reviewRating'
                itemscope itemtype='http://schema.org/Rating'>";
    echo "<div class='group-field-content icon-count-$count'>";
    echo '<meta itemprop="ratingValue" content="' . $testimonial->rating . '">';
    echo '<meta itemprop="worstRating" content="0">';
    echo '<meta itemprop="bestRating" content="100">';

    if ($preview) {
        echo $testimonial->getAllRatingHTML(array(
            'icon' => $icon,
            'source' => $source,
            'bar_color' => $bar_color,
            'size' => $size,
            'count' => 5
        ));
    }else{
        echo $testimonial->getRatingHTML(array(
            'scale' => $scale,
            'icon' => $icon,
            'source' => $source,
            'bar_color' => $bar_color,
            'size' => $size,
            'count' => $count
        ));
    }

    echo '</div>';

    if ($preview) {
        include($base . 'public/partials/parts/tooltip-button.php');
    }
    echo '</div>';
endif;

