<?php
use ExcitedFree\App\Model\Testimonial;
use ExcitedFree\App\Shortcode;

    $top_margin = '';
    $font_size = 'font-size: ' . $styles['rating_font_size'];
    $color = 'color: ' . $styles['rating_text_color'];
    $bold = $styles['rating_bold'] == '1' ? 'font-weight: ' . 'bold' : 'font-weight: ' . 'normal';
    $italic = $styles['rating_italic'] == '1' ? 'font-style: ' . 'italic' : 'font-style: ' . 'normal';
    $text_transform = 'text-transform: ' . $styles['rating_text_transform'];

    $text_color = 'color: ' . $styles['rating_text_color'];
    $bar_color = $styles['rating_bar_color'];
    $align = 'text-align:' . $styles['rating_align'];
    if (isset($styles['rating_size'])) {
        $size = esc_html($styles['rating_size']);
    }
    if (isset($styles['rating_top_margin'])) {
        $top_margin = 'margin-top: ' . Shortcode::get_size($styles['rating_top_margin']);
    }
    $scale = $styles['rating_scale'];
    $icon = $styles['rating_icon'];
    $source = $styles['rating_source'];
    $skill_value_width = 'width: 100%';
    $count = (int) $styles['rating_icon_count'];

    $testimonials_count = count($testimonials);
    if ($testimonials_count > 0):
        include $base . 'public/partials/parts/single_showcase/testimonials_open.php';
        $i = 0;
        $average_rating = 0;
        foreach ($testimonials as $testimonial):
            $testimonial = new Testimonial(array('post' => $testimonial));
            $active = $i++ === 0 ? 'active' : '';
            include $base . 'public/partials/parts/single_showcase/testimonial_open.php';
            if(!$testimonial->rating){
                continue;
            }

            echo "<div class='testimonial_rating  $layout-container sortable'
                style='
                $align;
                $top_margin;
                $font_size;
                $color;
                $bold;
                $italic;
                $text_transform;
                $text_color;
                '
                data-block-name='rating'
                data-tooltip-name='rating'
                data-rating='$testimonial->rating'
                itemscope itemtype='http://schema.org/Review'>";
            echo "<div class='group-field-content icon-count-$count'>";

            // Google rich snippets
            echo '<meta itemprop="author" content="' . $testimonial->post_title . '">';
            echo '<meta itemprop="reviewBody" content="' . $testimonial->post_excerpt . '">';
            echo '<div itemprop="reviewRating" itemscope itemtype="http://schema.org/Rating">';
            echo '<meta itemprop="ratingValue" content="' . $testimonial->rating . '">';
            echo '<meta itemprop="worstRating" content="0">';
            echo '<meta itemprop="bestRating" content="100">';
            echo '</div>';

            if ($preview) {
                echo $testimonial->getAllRatingHTML(array(
                    'icon' => $icon,
                    'source' => $source,
                    'bar_color' => $bar_color,
                    'size' => $size,
                    'count' => 5
                ));
            }else{
                echo $testimonial->getRatingHTML(array(
                    'scale' => $scale,
                    'icon' => $icon,
                    'source' => $source,
                    'bar_color' => $bar_color,
                    'size' => $size,
                    'count' => $count
                ));
            }

            echo '</div>';

            if ($preview) {
                include($base . 'public/partials/parts/tooltip-button.php');
            }
            echo '</div>';
            include $base . 'public/partials/parts/single_showcase/testimonial_close.php';
            $average_rating += $testimonial->rating;
        endforeach;
        include $base . 'public/partials/parts/single_showcase/testimonials_close.php';
        // Google rich snippets
        echo '<div itemprop="aggregateRating" itemscope="" itemtype="http://schema.org/AggregateRating">';
        echo '<meta itemprop="ratingValue" content="' . $average_rating / $testimonials_count . '">';
        echo '<meta itemprop="reviewCount" content="' . $testimonials_count . '">';
        echo '<meta itemprop="bestRating " content="100">';
        echo '<meta itemprop="worstRating " content="0">';
        echo '</div>';
        // Google rich snippets
    endif;