<?php
    use ExcitedFree\App\Model\Testimonial;
    use ExcitedFree\App\Shortcode;

    $base = LA_Testimonials_Free::$plugin['base'];;
    $group_id = $this->data->ID;
    $layout = 'single_showcase';
    $slider_class = '';
    $hover_class = '';
    $layout_css = $this->data->custom_css ?: '';

    $preview = $this->data->preview;
    $panel = $this->data->panel ?: $this->data->custom_fields['panel'];
    $styles = $this->data->styles[$layout] ?: $this->data->custom_fields['styles'][$layout];
    $testimonials = $this->data->testimonials ?: $this->data->custom_fields['testimonials'];

    $reveal = $styles['reveal'];
    $bounce_class = $styles['bounce'] == '1' ? 'aet-bounce' : '';
    $hover_class = 'aet-effect-' . $styles['hover'];

    $slider = $styles['slider'];
    $slider_autoplay = $styles['slider_autoplay'];
    $slider_autoplay_speed = esc_html($styles['slider_autoplay_speed']);
    $slider_adaptive = $styles['slider_adaptive'];

    $panel_enabled = $panel['enabled'];
    $panel_animation = $panel['animation'];

    $card_gaps = 'padding:  ' . Shortcode::get_size($styles['card_gaps']);
    $card_columns = $styles['card_width'];

    $photo_size = $styles['photo_size'];
    $blocks_order = $styles['blocks_order'];
    $layout_align = 'text-align: center';

    if ($styles['photo_size'] == 'a-full') {
        $layout_css .= '#aet-layout-' . $group_id . ' .sortable-box.a-full .testimonial_photo + .grid-container{padding-top: ' . Shortcode::get_size($styles['card_gaps']) . '}';
        $layout_css .= '#aet-layout-' . $group_id . ' .sortable-box.a-full .grid-container ~ .testimonial_photo{padding-top: ' . Shortcode::get_size($styles['card_gaps']) . '}';
    }

    include($base . 'public/partials/parts/buttons_css.php');
    include($base . 'public/partials/parts/single_showcase_css.php');


    echo Shortcode::$ad;
    echo "<div class='aet-layout-single_showcase aet-layout $hover_class $bounce_class sortable-box level-1'
                id='aet-layout-$group_id'
                style='$layout_align;$card_gaps;'
                itemscope
                itemtype='http://schema.org/Product'>";
        echo '<meta itemprop="name" content="Awesome testimonials group" />';
        echo '<style type="text/css">' . $layout_css . '</style>';
        include($base . 'public/partials/parts/group-information.php');

        Shortcode::include_blocks(array(
            'blocks_order' => $blocks_order,
            'layout' => $layout,
            'styles' => $styles,
            'panel' => $panel,
            'preview' => $preview,
            'testimonials' => $testimonials,
            'group_id' => $group_id
        ));
    echo '</div>';
    echo Shortcode::$ad;

    ?>
    <?php if (!$preview): ?>
        <script id="aet-dynamic-script-<?php echo $group_id;  ?>">
            jQuery(document).ready(function ($) {
                AETFREE.init_showcase(<?php echo $group_id; ?>);
            });
        </script>
    <?php endif; ?>

    <?php if (!$preview && $reveal == '1'): ?>
        <script id="aet-dynamic-script-<?php echo $group_id;  ?>">
            jQuery(document).ready(function ($) {
                AETFREE.init_animations(<?php echo $group_id; ?>);
            });
        </script>
    <?php endif; ?>

    <?php if (!$panel_enabled && !$preview): ?>
        <script type="text/javascript">
            // handle click on testimonial to open profile url
            jQuery(document).ready(function ($) {
                AETFREE.bind_profiles(<?php echo $group_id; ?>);
            });
        </script>
    <?php endif; ?>
    <?php if (!$preview): ?>
        <script type="text/javascript">
            (function ($) {
                $(function () {
                    var slider_options = {
                        count: <?php echo $card_columns; ?>,
                        autoplay: <?php echo $slider_autoplay; ?>,
                        speed: <?php echo $slider_autoplay_speed; ?>,
                        adaptive: <?php echo $slider_adaptive; ?>,
                    }
                    AETFREE.calc_rating_icons_size(<?php echo $group_id; ?>);
                    AETFREE.calc_social_icons_size(<?php echo $group_id; ?>);
                    AETFREE.enable_slider_photo(<?php echo $group_id; ?>, slider_options );
                    AETFREE.calc_short_text_nubbin_position(<?php echo $group_id; ?>);
                    AETFREE.calculate_slider_items_size(<?php echo $group_id; ?>, <?php echo $card_columns; ?>);
                });
            }(jQuery));
        </script>
    <?php endif; ?>
    <?php if ($panel_enabled == '1' && !$preview): ?>
        <script type="text/javascript">
            (function ($) {
                $(function () {
                    AETFREE.init_panel(<?php echo $group_id; ?>, '<?php echo $panel_animation; ?>');
                });
            }(jQuery));
        </script>
    <?php endif; ?>
    <?php
    include_once($base . 'admin/partials/svg.html');
    ?>