<?php
use ExcitedFree\App\Model\Testimonial;
use ExcitedFree\App\Shortcode;

    $base = LA_Testimonials_Free::$plugin['base'];;
    $group_id = $this->data->ID;
    $layout = 'widget';
    $class = '';
    $slider_class = '';
    $hover_class = '';
    $layout_css = $this->data->custom_css ?: '';

    $preview = $this->data->preview;
    $panel = $this->data->panel ?: $this->data->custom_fields['panel'];
    $styles = $this->data->styles[$layout] ?: $this->data->custom_fields['styles'][$layout];

    $reveal = $styles['reveal'];
    $bounce_class = $styles['bounce'] == '1' ? 'aet-bounce' : '';
    $hover_class = 'aet-effect-' . $styles['hover'];

    include($base . 'public/partials/parts/buttons_css.php');

    $slider = $styles['slider'];
    $slider_autoplay = $styles['slider_autoplay'];
    $slider_autoplay_speed = esc_html($styles['slider_autoplay_speed']);
    $slider_adaptive = $styles['slider_adaptive'];

    $panel_enabled = $panel['enabled'];
    $panel_animation = $panel['animation'];

    $gaps = 10; // clear value from non-numeric characters
    $margin_left = 'margin-left: ' . $gaps / 2 . 'px';
    $margin_right = 'margin-right: ' . $gaps / 2 . 'px';
    $margin_top = 'margin-top: 0';
    $margin = 'margin: 0 ' . $gaps / 2 . 'px ' . $gaps . 'px';
    $margin_fix = 'margin: 0 -' . $gaps / 2 . 'px -' . $gaps / 2 . 'px';
    $width_fix = 'width: calc(100% + ' . $gaps . 'px)';
    $layout_align = 'text-align: center';
    $photo_size = $styles['photo_size'];

    $card_gaps = 'padding:  ' . Shortcode::get_size($styles['card_gaps']);
    $body_visible = $styles['body_visible'];
    $card_columns = 'a-grid-1';

    $card_base_color = '';
    $card_border_color = '';
    $card_shadow_color = '';

    if ($body_visible == '1') {
        $card_base_color = 'background-color: ' . $styles['card_base_color'];
        $card_border_color = 'border: 1px solid ' . $styles['card_border_color'];
        $card_shadow_color = 'box-shadow: 0 0 5px 0 ' . $styles['card_shadow_color'];
    }

    $blocks_order = $styles['blocks_order'];

    if ($styles['photo_size'] == 'a-full') {
        $class = 'a-full';
        $layout_css .= '#aet-layout-' . $group_id . ' .sortable-box.a-full .testimonial_photo + .grid-container{padding-top: ' . Shortcode::get_size($styles['card_gaps']) . '}';
        $layout_css .= '#aet-layout-' . $group_id . ' .sortable-box.a-full .grid-container ~ .testimonial_photo{padding-top: ' . Shortcode::get_size($styles['card_gaps']) . '}';
    }
    if ($slider == '1' && !$preview) {
        $slider_class = ' slider-enabled ';
    }

    echo Shortcode::$ad;
    echo "<div class='aet-layout-widget aet-layout $hover_class $bounce_class'
                id='aet-layout-$group_id'
                itemscope
                itemtype='http://schema.org/Product'>";
    echo '<meta itemprop="name" content="Awesome testimonials group" />';
    echo '<style type="text/css">' . $layout_css . '</style>';

    include($base . 'public/partials/parts/group-information.php');
    $testimonials_count = count($this->data->testimonials);
    if ($testimonials_count > 0):
        echo "<ul group-id='" . $group_id . "' class='$slider_class testimonials-box filter-container' style='
                        $width_fix;
                        $layout_align;
                        $margin_fix;'
                        >";
        $testimonials = $this->data->testimonials ?: $this->data->custom_fields['testimonials'];
        $average_rating = 0;
        foreach ($testimonials as $testimonial):
            $testimonial = new Testimonial(array('post' => $testimonial));
            $id = $testimonial->ID;
            $terms = wp_get_post_terms($id, Testimonial::getTaxonomy(), array('fields' => 'ids'));
            $terms = array_map(function ($term) {
                return 'awesome-filter-' . $term;
            }, $terms);
            $terms = implode(' ', $terms);

            $clicable = $testimonial->custom_url || $panel_enabled ? 'aet-profile' : '';
            $profile = htmlspecialchars($testimonial->custom_url);
            $profile_title = $testimonial->custom_url ? '' : '';

            echo "<li class='$card_columns $terms filter-item'
                        style=''
                        testimonial-id='$id'
                        itemprop='review'
                        itemscope itemtype='http://schema.org/Review'>";
            echo '<meta itemprop="author" content="' . $testimonial->post_title . '">';

            echo "<div $clicable data-profile='$profile'
                            class='sortable-box $class level-1'
                            title='$profile_title'
                            style='
                            $card_base_color;
                            $card_border_color;
                            $card_shadow_color;
                            $card_gaps;
                            $margin;'
                            data-sortable-axis='y'
                            >";

            Shortcode::include_blocks(array(
                'blocks_order' => $blocks_order,
                'layout' => $layout,
                'styles' => $styles,
                'preview' => $preview,
                'testimonial' => $testimonial,
                'id' => $id,
                'group_id' => $group_id
            ));

            echo '</div>';

            if ($panel_enabled == '1' && !$preview) {
                $panel_theme = $panel['theme'];
                include($base . 'public/partials/parts/panels/' . $panel_theme . '.php');
            }
            echo '</li>';
            $average_rating += $testimonial->rating;
        endforeach;
        echo '</ul>';
        // Google rich snippets
        echo '<div itemprop="aggregateRating" itemscope="" itemtype="http://schema.org/AggregateRating">';
        echo '<meta itemprop="ratingValue" content="' . $average_rating / $testimonials_count. '">';
        echo '<meta itemprop="reviewCount" content="' . $testimonials_count . '">';
        echo '<meta itemprop="bestRating " content="100">';
        echo '<meta itemprop="worstRating " content="0">';
        echo '</div>';
        // Google rich snippets
    endif;
    echo '</div>';
    echo Shortcode::$ad;
    ?>
    <?php if (!$preview && $reveal == '1'): ?>
        <script id="aet-dynamic-script-<?php echo $group_id;  ?>">
            jQuery(document).ready(function ($) {
                AETFREE.init_animations(<?php echo $group_id; ?>);
            });
        </script>
    <?php endif; ?>

    <?php if (!$panel_enabled && !$preview): ?>
        <script type="text/javascript">
            // handle click on testimonial to open profile url
            jQuery(document).ready(function ($) {
                AETFREE.bind_profiles(<?php echo $group_id; ?>);
            });
        </script>
    <?php endif; ?>
    <?php if (!$preview): ?>
        <script type="text/javascript">
            (function ($) {
                $(function () {
                    AETFREE.calc_rating_icons_size(<?php echo $group_id; ?>);
                    AETFREE.calc_social_icons_size(<?php echo $group_id; ?>);
                });
            }(jQuery));
        </script>
    <?php endif; ?>
    <?php if ($panel_enabled == '1' && !$preview): ?>
        <script type="text/javascript">
            (function ($) {
                $(function () {
                    AETFREE.init_panel(<?php echo $group_id; ?>, '<?php echo $panel_animation; ?>');
                });
            }(jQuery));
        </script>
    <?php endif; ?>
    <?php if ($slider == '1' && !$preview): ?>
        <script type="text/javascript">
            jQuery(document).ready(function($){
                var slider_options = {
                    count: 1,
                    autoplay: <?php echo $slider_autoplay; ?>,
                    speed: <?php echo $slider_autoplay_speed; ?>,
                    adaptive: <?php echo $slider_adaptive; ?>,
                }
                AETFREE.enable_slider(<?php echo $group_id; ?>, slider_options);
            });
        </script>
    <?php endif; ?>
    <?php
    include_once($base . 'admin/partials/svg.html');